<?php
require_once($_SERVER["DOCUMENT_ROOT"]."/bitrix/modules/main/include/prolog_before.php");
\Bitrix\Main\Loader::includeModule("tiptoppay.kassir");
$post = \Bitrix\Main\Application::getInstance()->getContext()->getRequest()->getPostList()->toArray();
$option=CTipTopPaykassir::GetOptions(SITE_ID);
if(CTipTopPaykassir::CheckHMac($option['APIPASS'],$_SERVER)){
    $data=\tiptoppay\TiptoppayKassir\CKassaTable::getList(array(
       'filter'=>array('ORDER_ID'=>$post['InvoiceId'],'TYPE'=>$post['Type']),
    ))->fetch();
    $fields=array(
        'LID'=>$data['LID'],
        'ORDER_ID'=>$data['ORDER_ID'],
        'PAY_ID'=>$data['PAY_ID'],
        'STATUS'=>'Y',
        'SUMMA'=>$data['SUMMA'],
        'TYPE'=>$data['TYPE'],
        'URLCHECK'=>$post['Url'],
        'URLQRCODE'=>$post['QrCodeUrl'],
        'DOCUMENT'=>$post['DocumentNumber'],
        'TRANSACTION'=>'',
        'DATACHECK'=>$post['DateTime'],
        'ACCOUNTID'=>$post['AccountId'],
        'INN'=>$post['Inn'],
        'OFD'=>$post['Ofd'],
        'SESSIONNUMBER'=>$post['SessionNumber'],
        'FISCALSIGH'=>$post['FiscalSign'],
        'DEVICENUMBER'=>$post['DeviceNumber'],
        'REGNUMBER'=>$post['RegNumber'],
    );
    $k=\tiptoppay\TiptoppayKassir\CKassaTable::update($data['ID'],$fields);
}
echo json_encode(array('code'=>0));
die();